/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.coreservices.osservices.SCSI;

//import dstep.AvailabilityMacros;
import dstep.coreservices.carboncore.MacTypes;
import dstep.coreservices.carboncore.MixedMode;
import dstep.internal.Types;
import dstep.internal.Version;

static if (!D_LP64)
{
	enum
	{
		scInc = 1,
		scNoInc = 2,
		scAdd = 3,
		scMove = 4,
		scLoop = 5,
		scNop = 6,
		scStop = 7,
		scComp = 8
	}
	
	struct SCSIInstr
	{
		ushort scOpcode;
		c_long scParam1;
		c_long scParam2;
	}
}