/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.coreservices.launchservices.UTType;

//import dstep.AvailabilityMacros;
import dstep.coreservices.carboncore.CarbonCore;
import dstep.corefoundation.CoreFoundation;

extern (C)
{
	extern
	{
		const CFStringRef kUTExportedTypeDeclarationsKey;
		const CFStringRef kUTImportedTypeDeclarationsKey;
		const CFStringRef kUTTypeIdentifierKey;
		const CFStringRef kUTTypeTagSpecificationKey;
		const CFStringRef kUTTypeConformsToKey;
		const CFStringRef kUTTypeDescriptionKey;
		const CFStringRef kUTTypeIconFileKey;
		const CFStringRef kUTTypeReferenceURLKey;
		const CFStringRef kUTTypeVersionKey;
		const CFStringRef kUTTagClassFilenameExtension;
		const CFStringRef kUTTagClassMIMEType;
		const CFStringRef kUTTagClassNSPboardType;
		const CFStringRef kUTTagClassOSType;
	}
}

extern (C)
{
	CFStringRef UTTypeCreatePreferredIdentifierForTag (CFStringRef inTagClass, CFStringRef inTag, CFStringRef inConformingToUTI);
	CFArrayRef UTTypeCreateAllIdentifiersForTag (CFStringRef inTagClass, CFStringRef inTag, CFStringRef inConformingToUTI);
	CFStringRef UTTypeCopyPreferredTagWithClass (CFStringRef inUTI, CFStringRef inTagClass);
	ubyte UTTypeEqual (CFStringRef inUTI1, CFStringRef inUTI2);
	ubyte UTTypeConformsTo (CFStringRef inUTI, CFStringRef inConformsToUTI);
	CFStringRef UTTypeCopyDescription (CFStringRef inUTI);
	CFDictionaryRef UTTypeCopyDeclaration (CFStringRef inUTI);
	CFURLRef UTTypeCopyDeclaringBundleURL (CFStringRef inUTI);
	CFStringRef UTCreateStringForOSType (uint inOSType);
	uint UTGetOSTypeFromString (CFStringRef inString);
}